#ifndef XRS_c_dialog_H
#define XRS_c_dialog_H
#include <XRS/dialog.h>
#include <complex>

namespace XRS{
using namespace std;
typedef complex<double> Complex;

//*************** class c_dialog ̒` ****************

class c_dialog: public dialog{
 protected:
   //--- XResource ------------
     int  C_Dialog_Shape,C_Dialog_Width,C_Dialog_Height;
     int  C_Dialog_String;
     int  C_Dialog_Xoffset;
     int  C_Dialog_Yoffset;
   //-------------------------
   char    *pformat;
   Complex &f;
   Complex f_old;
   int     i1,j1,i2,j2,i3,j3,i4,j4,i5,j5,real_fw,imag_fw;
   void    parameter_draw();
   void    initialize();
 public:
   Complex step;
   int    polar_cordinate;
   GC     gc,digit_gc;
   c_dialog(window &W,Complex &x):
     dialog(W),pformat(NULL),f(x),real_fw(0),imag_fw(0){ initialize();}
   virtual ~c_dialog();
   
   int   string(){ return C_Dialog_String;}
   void  string(int i){ if(i>=0) C_Dialog_String=i; }
   
   int   xoffset(){ return C_Dialog_Xoffset;}
   int   yoffset(){ return C_Dialog_Yoffset;}
   void  offset(int i,int j=-1)
     { if(i>=0) C_Dialog_Xoffset=i; if(j>=0) C_Dialog_Yoffset=j;}

   void  resize(int i=0,int j=0,int s=-1);
	
   void  draw();
   void  redraw();
   void  checkevent();
   void  format(char *);
   char* format(){return pformat;}
};

}/*namespace XRS*/ 
#endif
