#ifndef XRS_control_H
#define XRS_control_H
#include <XRS/window.h>
#include <XRS/f_dialog.h>
namespace XRS{
	
//***************** class control_window ̒` **************************

class control_window: public window{
   int        list_state;
   void       draw(dialog *);
 protected:
   int imax,jmax,i0,j0,in,jn,is,js;
   List<dialog*> p,evp,rtp; 
   void       initialize(int,int,int);
   void       add(dialog &);
   void       remove(dialog *);
   void       startup();
 public:
   int realtime;
   control_window(window &,int=0,int=0,int=0,int=0,int=-1,int=1);
   control_window(int=0,int=0,int=1);
   int        i_max(){ return imax;}
   int        j_max(){ return jmax;}
   void       resize(int=0,int=0);

   void       draw();
   void       redraw();
   void       checkevent();
   
   int        number(){ return p.number();}
   dialog*    event(int n){ return p[n]; }
   dialog*    event(char *s)
    { for(ListIter<dialog*> i=p; !i.empty(); i.next())
	    if(!strcmp(i.curr()->title(),s)) return i.curr();
      return NULL; }
};
 
}/*namespace XRS*/
#endif
