#include <stdio.h>
#include <stdlib.h>
#include <XRS/Socket.h>
using namespace XRS;

#define EOD     '\x44'

int main(int argc,char **argv){
   int c;
   if(argc!=2){ 
      fprintf(stderr,
         "usage: datasocket <name>\n"
         "  This command should be used with XRS/DataSocket.h . \n"
         "  It sends data from a socket \"name\" to stdout \n"
         "  and exits when it recives a control character '\\x44'.\n");
      exit(1);
   }

   ClientSocket CS((const char*)argv[1]);
   FILE *fp=fdopen(CS,"r");

   //   while((c=(char)fgetc(fp))!=EOF){ if(c==EOD) break; putchar(c); }
   while((c=fgetc(fp))!=(int)EOF){ if(c==(int)EOD) break; putchar(c); }
   putchar('\n');
   fclose(fp);

   return 0;
}


