#define XRS_SOURCE
#include <XRS/simple_.h>
#undef XRS_SOURCE
namespace XRS{
  
//************** class graphic window ********************

simple_window::simple_window(window &W,int w,int h,int i,int j,int bw)
 :window(W,w,h,i,j,bw),p(NULL){
   bgc = graphic_context(*this,black);
   wgc = graphic_context(*this,white);
   eventmask(ButtonPressMask|ExposureMask);
}

simple_window::simple_window(int w,int h)
  :window(w,h),p(NULL){ 
   bgc = graphic_context(*this,black);
   wgc = graphic_context(*this,white);
   eventmask(ButtonPressMask|ExposureMask);
}

void simple_window::checkevent(){
    chev=0;
    if(d && XCheckWindowEvent(d,win,evmask,&ev)){
      if(ev.type == Expose){ redraw(); return;}
      if(ev.type == ButtonPress){
        if(p!=NULL){ p->checkevent();} chev=ev.xbutton.button;  }
    }
}

}/*namespace XRS*/
