#ifndef ARRAY_H_INCLUDE
#define ARRAY_H_INCLUDE
namespace XRS{
  
template <class T>
void add_dimension(T **M,int imax,int jmax){
    T *Mi=new T[imax*jmax];
    for(int i=0; i<imax; i++) M[i]=Mi+i*jmax;
}

template <class T>
void delete_dimension(T **M){ delete [] M[0]; M[0]=NULL;}

template <class T>
void  array(T **&M,int i,int j){
	if(i && j){ M=new T* [i]; add_dimension(M,i,j);}
}

template <class T>
void delete_array(T **&M){ delete_dimension(M);  delete [] M; M=NULL; }

}/*namespace XRS*/
#endif


