#ifndef XRS_Simple_H
#define XRS_Simple_H
#include <XRS/simple_.h>
#include <XRS/f_dialog.h>
namespace XRS{
	
//*************** class Simple_Window ̒` *********************

class Simple_Window: public simple_window{
   f_dialog*    add(void (*)(int));
 public:
   Simple_Window(window &W,int w=0,int h=0,int i=0,int j=0,int bw=-1):
      simple_window(W,w,h,i,j,bw){}
   Simple_Window(int w=0,int h=0): simple_window(w,h){}
   Simple_Window& geometry(int w=0,int h=0,int i=-1,int j=-1)
                   {  resize(w,h);  move(i,j); return *this;}
   Simple_Window& operator<<(char *name)    { title(name);  return *this;}
   Simple_Window& operator<<(const char *name)    { title(name);  return *this;}
   Simple_Window& operator<<(void (*f)(int)){ add(f);       return *this;}
};


f_dialog* Simple_Window::add(void (*f)(int)){
     f_dialog *pp=new f_dialog(*this,f);  
     pp->resize(width(),height());
     return pp;
}

}/*namespace XRS*/
#endif
