#ifndef XRS_dialog_H
#define XRS_dialog_H
#include <XRS/window.h>
namespace XRS{
//***************** class dialog の定義 *********************

class dialog{
 protected:
    window &win;
    int     w,h;
    int     i0,j0;
    char    *name;
 public:
    int   chev;
    dialog(window &);
    virtual ~dialog();

    int   i(){ return i0;}
    int   j(){ return j0;}
    void  move(int i=-1,int j=-1){ if(i>=0) i0=i; if(j>=0) j0=j;}

    int   width(){ return w; }
    int   height(){ return h; }
    virtual void  resize(int i=0,int j=0,int =-1){ if(i>0) w=i; if(j>0) h=j;}

    char* title(){ return name;}
    void  title(char *);
    void  title(const char *);

    virtual void draw(){}
    virtual void redraw(){}
    virtual void checkevent();
};

}/*namespace XRS*/ 
#endif
